package unimelb.mf.client.sync.check;

import unimelb.utils.ChecksumUtils;

public interface HasContent extends HasLength, HasChecksum {

	default boolean contentEquals(HasContent o, ChecksumUtils.ChecksumType checksumType) {
		if (checksumType != null) {
			return lengthEquals(o) && checksumEquals(checksumType, o);
		} else {
			return lengthEquals(o);
		}
	}

}
